using PARR.Core.Repositories.Base;
using PARR.Domain.Entities.Unit;

namespace PARR.Core.Repositories.Interfaces.Unit
{
    public interface IUnitFieldRepository : IBaseRepository<UnitField>
    {
        Task<UnitField?> GetByCodeAsync(string code, CancellationToken ct = default);
        Task<UnitField?> GetByAihitNameAsync(string aihitName, CancellationToken ct = default);
    }
}
